## firmware-nonfree 20190114+really20220913

=== debian/changelog ===
firmware-nonfree (20190114+really20220913-0+deb10u2) buster-security; urgency=medium

  [ Ben Hutchings ]
  * Clean up backport to buster:
    - Revert "Update to linux-support 5.19.0-1"
    - Use linux-support 5.10.0-0.deb10.23
    - d/rules, d/watch: Make orig target and uscan work with +really versions
    - qcom-media: Use lintian-overrides from qcom-soc
  * d/copyright: Add information about files re-added under debian/config
  * Make CI work for buster:
    - d/salsa-ci.yml: Set RELEASE to buster
    - d/salsa-ci.yml: Set changelog suite to UNRELEASED to avoid lintian error
    - d/salsa-ci.yml: Run extract-source job in target release, not unstable

  [ Tobias Frost ]
  * Use linux-support 5.10.0-0.deb10.24
  * Import changed firmware files from Intel for
    CVE-2022-27635 - Potential privilege escalation vector
    CVE-2022-36351 - Potential denial of service via adjacent access
    CVE-2022-38076 - Potential privilege escalation vector
    CVE-2022-40964 - Potential privilege escalation vector
    CVE-2022-46329 - Potential privilege escalation vector
    Details see Intel Advisory INTEL-SA-00766
    - Intel Bluetooth AX2xx series:
      intel/ibt-0041-0041.sfi	
      intel/ibt-19-0-0.sfi
      intel/ibt-19-0-1.sfi
      intel/ibt-19-0-4.sfi
      intel/ibt-19-16-4.sfi
      intel/ibt-19-240-1.sfi
      intel/ibt-19-240-4.sfi
      intel/ibt-19-32-0.sfi
      intel/ibt-19-32-1.sfi
      intel/ibt-19-32-4.sfi
      intel/ibt-20-0-3.sfi
      intel/ibt-20-1-3.sfi
      intel/ibt-20-1-4.sfi
    - Intel Wireless 22000 series
      iwlwifi-Qu-b0-hr-b0-77.ucode
      iwlwifi-Qu-b0-jf-b0-77.ucode
      iwlwifi-Qu-c0-hr-b0-77.ucode
      iwlwifi-Qu-c0-jf-b0-77.ucode
      iwlwifi-QuZ-a0-hr-b0-77.ucode
      iwlwifi-cc-a0-77.ucode
    The updated firmware files might need an updated kernel.
      
 -- Tobias Frost <tobi@debian.org>  Sat, 30 Sep 2023 17:53:21 +0200

firmware-nonfree (20190114+really20220913-0+deb10u1) buster-security; urgency=medium

  * Non-maintainer upload by the LTS Security Team.
  * Importing new firmware files from Debian package version 20220913-1
    to address:
      CVE-2020-12362, CVE-2020-12363, CVE-2020-12364, CVE-2020-24586,
      CVE-2020-24587, CVE-2020-24588, CVE-2021-23168, CVE-2021-23223,
      CVE-2021-37409, CVE-2021-44545, CVE-2022-21181
  * To keep support for the older LTS kernels, re-add firmware files
    that have been dropped between firmare-nonfree 20190114-2 and
    20220913-1.
  * Don't introduce new binary package firmware-qcom-soc, use
    firmware-qcom-media for the new firmware files.

 -- Tobias Frost <tobi@debian.org>  Sat, 01 Apr 2023 16:52:19 +0200

firmware-nonfree (20220913-1) unstable; urgency=medium

  * New upstream version (Closes: #1009316, #1015728)
  * Various new firmware for Intel hardware closes: #1014651, #1020962
  * amd-graphics: Various new firmware closes: #999825, #1019847
  * iwlwifi: Various new firmware closes: #1016058

  [ Philippe Ombredanne ]
  * Update copyright with correct continuations

  [ Ben Hutchings ]
  * lintian: Move source overrides to preferred path
  * lintian: Refresh lintian-overrides
  * d/control: Use my debian.org email in Uploaders field
  * debian/upstream/: Add upstream signing key
  * copyright: Fold debian/config/*/copyright into debian/copyright
  * d/copyright: Fix remaining incorrect continuations
  * d/copyright: Add Copyright field for Conexant firmware
  * d/copyright: Fix Files field syntax
  * d/copyright: Replace tabs with spaces
  * d/copyright: Fix paragraph order for files in go7007/ and radeon/
  * copyright: Replace debian/config/*/LICENSE with paragraphs in
    debian/copyright
  * d/copyright: Fix incorrect and obsolete file patterns
  * copyright: Replace debian/copyright.debian with paragraph in
    debian/copyright
  * copyright: Remove support for per-binary-package copyright files
  * Move file exclusions to debian/copyright; replace genorig.py with uscan
  * d/copyright: Update copyright holders and dates for debian/*
  * d/copyright: Add paragraph for metadata that should be CC0
  * d/copyright: Drop non-matching file exclusions
  * ipw2x00, ivtv: Add environment variable to skip EULA on installation:
    FIRMWARE_{IPW2X00,IVTV}_LICENSE_READ_AND_ACCEPTED must be set to 'yes'
  * d/salsa-ci.yml: Add CI configuration for salsa.debian.org
    - d/rules: Add linux-support-name target to show the name of the
      linux-support dependency
  * Update to linux-support 5.19.0-1
  * d/bin/gencontrol.py: Make debian/rules.gen reproducible
  * misc-nonfree: Add Intel ADL-P DMC firmware version 2.16
  * misc-nonfree: Add Intel DG2 firmware
  * misc-nonfree: Add Nvidia Ampere GA102/GA103/GA104/GA106/GA107 firmware
  * amd-graphics: Correct descriptions of files with IP version in filename
  * amd-graphics: Fix some inconsistent file descriptions
  * amd-graphics: Add "Aldebaran" MEC firmware
  * amd-graphics: Add more versions of DCN, GC, PSP, SDMA, VCN firmware
  * d/copyright: Delete obsolete filename patterns from Files-Excluded
  * bnx2x: Add firmware version 7.13.21.0 (Closes: #1006500)
  * iwlwifi: Add firmware version 71.058653f6.0 for various models

  [ Didier Raboud ]
  * lintian: fix file-matching in source override
  * lintian: fix elf-error override syntax
  * 20220815:
    - atheros: ath10k QCA99X0 board updated to v2
    - bnx2, bnx2x: Drop obsolete firmware files
    - intelwimax: Drop Intel WiMax package (unsupported since 5.10+)
    - iwlwifi: remove old unsupported 3160/7260/7265/8000/8265 firmware
      (unsupported since 4.8.0)
    - misc-nonfree: Update cxgb4 firmware to revision 1.26.6.0
    - misc-nonfree: Update ice package to 1.3.30.0, and DDP comms to 1.3.31.0
    - misc-nonfree: rename silabs/ to wfx/
  * Update dependency and modinfo from linux 5.19.0-2 on amd64
  * 20220913:
    - qlogic: drop old obsolete brocade firmware revs
    - misc-nonfree: Add lintian override for unstripped-binary-or-object

