=== debian/control ===
Source: firmware-nonfree
Section: non-free/kernel
Priority: optional
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Uploaders: Bastian Blank <waldi@debian.org>, Steve Langasek <vorlon@debian.org>, maximilian attems <maks@debian.org>, Ben Hutchings <benh@debian.org>
Standards-Version: 4.0.1
Build-Depends: debhelper (>= 12)
Vcs-Browser: https://salsa.debian.org/kernel-team/firmware-nonfree
Vcs-Git: https://salsa.debian.org/kernel-team/firmware-nonfree.git
XS-Autobuild: yes

Package: firmware-linux
Architecture: all
Section: non-free/metapackages
Depends: firmware-linux-free, firmware-linux-nonfree (= ${binary:Version}), ${misc:Depends}
Recommends: intel-microcode, amd64-microcode
Description: Binary firmware for various drivers in the Linux kernel (metapackage)
 This package depends on both free and non-free firmware which may be used
 with drivers in the Linux kernel.

Package: firmware-linux-nonfree
Architecture: all
Section: non-free/metapackages
Depends: firmware-misc-nonfree (= ${binary:Version}), firmware-amd-graphics (= ${binary:Version}), ${misc:Depends}
Recommends: intel-microcode, amd64-microcode
Description: Binary firmware for various drivers in the Linux kernel (metapackage)
 This package depends on non-free firmware which may be used with drivers
 in the Linux kernel.

Package: firmware-adi
Architecture: all
Section: non-free/oldlibs
Depends: firmware-misc-nonfree, ${misc:Depends}
Description: Binary firmware for Analog Devices Inc. DSL modem chips (dummmy package)
 This is a dummy transitional package.  It can be safely removed.
Multi-Arch: foreign

Package: firmware-ralink
Architecture: all
Section: non-free/oldlibs
Depends: firmware-misc-nonfree, ${misc:Depends}
Description: Binary firmware for Ralink wireless cards (dummmy package)
 This is a dummy transitional package.  It can be safely removed.
Multi-Arch: foreign

Package: firmware-amd-graphics
Architecture: all
Provides: 
Depends: ${misc:Depends}
Recommends: 
Suggests: initramfs-tools
Replaces: firmware-linux-nonfree (<< 20151018-1~)
Breaks: firmware-linux-nonfree (<< 20151018-1~)
Conflicts: 
Description: Binary firmware for AMD/ATI graphics chips
 This package contains the binary firmware for AMD/ATI graphics chips
 supported by the radeon, amdgpu and r128 drivers.
 .
 Contents:
  * "Aldebaran" MEC firmware (amdgpu/aldebaran_mec.bin)
  * "Aldebaran" MEC2 firmware (amdgpu/aldebaran_mec2.bin)
  * "Aldebaran" RLC firmware (amdgpu/aldebaran_rlc.bin)
  * "Aldebaran" SDMA firmware (amdgpu/aldebaran_sdma.bin)
  * "Aldebaran" SMC firmware (amdgpu/aldebaran_smc.bin)
  * "Aldebaran" SOS firmware (amdgpu/aldebaran_sos.bin)
  * "Aldebaran" TA firmware (amdgpu/aldebaran_ta.bin)
  * "Aldebaran" VCN firmware (amdgpu/aldebaran_vcn.bin)
  * "Arcturus" ASDN firmware (amdgpu/arcturus_asd.bin)
  * "Arcturus" GPU info firmware (amdgpu/arcturus_gpu_info.bin)
  * "Arcturus" MEC2 firmware (amdgpu/arcturus_mec2.bin)
  * "Arcturus" MEC firmware (amdgpu/arcturus_mec.bin)
  * "Arcturus" RLC firmware (amdgpu/arcturus_rlc.bin)
  * "Arcturus" SDMA firmware (amdgpu/arcturus_sdma.bin)
  * "Arcturus" SMC firmware (amdgpu/arcturus_smc.bin)
  * "Arcturus" SOS firmware (amdgpu/arcturus_sos.bin)
  * "Arcturus" TA firmware (amdgpu/arcturus_ta.bin)
  * "Arcturus" VCN firmware (amdgpu/arcturus_vcn.bin)
  * "Banks" K-2 SMC microcode (amdgpu/banks_k_2_smc.bin)
  * "Beige Goby" CE firmware (amdgpu/beige_goby_ce.bin)
  * "Beige Goby" DMCUB firmware (amdgpu/beige_goby_dmcub.bin)
  * "Beige Goby" ME firmware (amdgpu/beige_goby_me.bin)
  * "Beige Goby" MEC firmware (amdgpu/beige_goby_mec.bin)
  * "Beige Goby" MEC2 firmware (amdgpu/beige_goby_mec2.bin)
  * "Beige Goby" PFP firmware (amdgpu/beige_goby_pfp.bin)
  * "Beige Goby" RLC firmware (amdgpu/beige_goby_rlc.bin)
  * "Beige Goby" SDMA firmware (amdgpu/beige_goby_sdma.bin)
  * "Beige Goby" SMC firmware (amdgpu/beige_goby_smc.bin)
  * "Beige Goby" SOS firmware (amdgpu/beige_goby_sos.bin)
  * "Beige Goby" TA firmware (amdgpu/beige_goby_ta.bin)
  * "Beige Goby" VCN firmware (amdgpu/beige_goby_vcn.bin)
  * Radeon HD 7790/8770/8950 CE microcode (amdgpu/bonaire_ce.bin)
  * Radeon HD 7790/8770/8950 K SMC microcode (amdgpu/bonaire_k_smc.bin)
  * Radeon HD 7790/8770/8950 MC microcode (amdgpu/bonaire_mc.bin)
  * Radeon HD 7790/8770/8950 ME microcode (amdgpu/bonaire_me.bin)
  * Radeon HD 7790/8770/8950 MEC microcode (amdgpu/bonaire_mec.bin)
  * Radeon HD 7790/8770/8950 PFP microcode (amdgpu/bonaire_pfp.bin)
  * Radeon HD 7790/8770/8950 RLC microcode (amdgpu/bonaire_rlc.bin)
  * Radeon HD 7790/8770/8950 SDMA microcode (amdgpu/bonaire_sdma.bin)
  * Radeon HD 7790/8770/8950 SDMA1 microcode (amdgpu/bonaire_sdma1.bin)
  * Radeon HD 7790/8770/8950 series SMC microcode
    (amdgpu/bonaire_smc.bin)
  * Radeon HD 7790/8770/8950 UVD microcode (amdgpu/bonaire_uvd.bin)
  * Radeon HD 7790/8770/8950 VCE microcode (amdgpu/bonaire_vce.bin)
  * "Carrizo" CE firmware (amdgpu/carrizo_ce.bin)
  * "Carrizo" ME firmware (amdgpu/carrizo_me.bin)
  * "Carrizo" MEC firmware (amdgpu/carrizo_mec.bin)
  * "Carrizo" MEC2 firmware (amdgpu/carrizo_mec2.bin)
  * "Carrizo" PFP firmware (amdgpu/carrizo_pfp.bin)
  * "Carrizo" RLC firmware (amdgpu/carrizo_rlc.bin)
  * "Carrizo" SDMA firmware (amdgpu/carrizo_sdma.bin)
  * "Carrizo" SDMA1 firmware (amdgpu/carrizo_sdma1.bin)
  * "Carrizo" UVD firmware, version 1.87 (amdgpu/carrizo_uvd.bin)
  * "Carrizo" VCE firmware (amdgpu/carrizo_vce.bin)
  * "Cyan Skillfish2" CE firmware (amdgpu/cyan_skillfish2_ce.bin)
  * "Cyan Skillfish2" ME firmware (amdgpu/cyan_skillfish2_me.bin)
  * "Cyan Skillfish2" MEC firmware (amdgpu/cyan_skillfish2_mec.bin)
  * "Cyan Skillfish2" MEC2 firmware (amdgpu/cyan_skillfish2_mec2.bin)
  * "Cyan Skillfish2" PFP firmware (amdgpu/cyan_skillfish2_pfp.bin)
  * "Cyan Skillfish2" RLC firmware (amdgpu/cyan_skillfish2_rlc.bin)
  * "Cyan Skillfish2" SDMA firmware (amdgpu/cyan_skillfish2_sdma.bin)
  * "Cyan Skillfish2" SDMA1 firmware (amdgpu/cyan_skillfish2_sdma1.bin)
  * DCN 3.1.5 DMCUB firmware (amdgpu/dcn_3_1_5_dmcub.bin)
  * DCN 3.1.6 DMCUB firmware (amdgpu/dcn_3_1_6_dmcub.bin)
  * "Dimgrey Cavefish" CE firmware (amdgpu/dimgrey_cavefish_ce.bin)
  * "Dimgrey Cavefish" DMCUB firmware
    (amdgpu/dimgrey_cavefish_dmcub.bin)
  * "Dimgrey Cavefish" ME firmware (amdgpu/dimgrey_cavefish_me.bin)
  * "Dimgrey Cavefish" MEC firmware (amdgpu/dimgrey_cavefish_mec.bin)
  * "Dimgrey Cavefish" MEC2 firmware (amdgpu/dimgrey_cavefish_mec2.bin)
  * "Dimgrey Cavefish" PFP firmware (amdgpu/dimgrey_cavefish_pfp.bin)
  * "Dimgrey Cavefish" RLC firmware (amdgpu/dimgrey_cavefish_rlc.bin)
  * "Dimgrey Cavefish" SDMA firmware (amdgpu/dimgrey_cavefish_sdma.bin)
  * "Dimgrey Cavefish" SMC firmware (amdgpu/dimgrey_cavefish_smc.bin)
  * "Dimgrey Cavefish" SOS firmware (amdgpu/dimgrey_cavefish_sos.bin)
  * "Dimgrey Cavefish" TA firmware (amdgpu/dimgrey_cavefish_ta.bin)
  * "Dimgrey Cavefish" VCN firmware (amdgpu/dimgrey_cavefish_vcn.bin)
  * "Fiji" CE firmware (amdgpu/fiji_ce.bin)
  * "Fiji" MC firmware (amdgpu/fiji_mc.bin)
  * "Fiji" ME firmware (amdgpu/fiji_me.bin)
  * "Fiji" MEC firmware (amdgpu/fiji_mec.bin)
  * "Fiji" MEC2 firmware (amdgpu/fiji_mec2.bin)
  * "Fiji" PFP firmware (amdgpu/fiji_pfp.bin)
  * "Fiji" RLC firmware (amdgpu/fiji_rlc.bin)
  * "Fiji" SDMA firmware (amdgpu/fiji_sdma.bin)
  * "Fiji" SDMA1 firmware (amdgpu/fiji_sdma1.bin)
  * "Fiji" SMC firmware (amdgpu/fiji_smc.bin)
  * "Fiji" UVD firmware, version 1.87.12 (amdgpu/fiji_uvd.bin)
  * "Fiji" VCE firmware (amdgpu/fiji_vce.bin)
  * GC 10.3.6 CE firmware (amdgpu/gc_10_3_6_ce.bin)
  * GC 10.3.6 ME firmware (amdgpu/gc_10_3_6_me.bin)
  * GC 10.3.6 MEC firmware (amdgpu/gc_10_3_6_mec.bin)
  * GC 10.3.6 MEC2 firmware (amdgpu/gc_10_3_6_mec2.bin)
  * GC 10.3.6 PFP firmware (amdgpu/gc_10_3_6_pfp.bin)
  * GC 10.3.6 RLC firmware (amdgpu/gc_10_3_6_rlc.bin)
  * GC 10.3.7 CE firmware (amdgpu/gc_10_3_7_ce.bin)
  * GC 10.3.7 ME firmware (amdgpu/gc_10_3_7_me.bin)
  * GC 10.3.7 MEC firmware (amdgpu/gc_10_3_7_mec.bin)
  * GC 10.3.7 MEC2 firmware (amdgpu/gc_10_3_7_mec2.bin)
  * GC 10.3.7 PFP firmware (amdgpu/gc_10_3_7_pfp.bin)
  * GC 10.3.7 RLC firmware (amdgpu/gc_10_3_7_rlc.bin)
  * Ryzen 5000 ASD firmware (amdgpu/green_sardine_asd.bin)
  * Ryzen 5000 CE firmware (amdgpu/green_sardine_ce.bin)
  * Ryzen 5000 DMCUB firmware (amdgpu/green_sardine_dmcub.bin)
  * Ryzen 5000 ME firmware (amdgpu/green_sardine_me.bin)
  * Ryzen 5000 MEC2 firmware (amdgpu/green_sardine_mec2.bin)
  * Ryzen 5000 MEC firmware (amdgpu/green_sardine_mec.bin)
  * Ryzen 5000 PFP firmware (amdgpu/green_sardine_pfp.bin)
  * Ryzen 5000 RLC firmware (amdgpu/green_sardine_rlc.bin)
  * Ryzen 5000 SDMA firmware (amdgpu/green_sardine_sdma.bin)
  * Ryzen 5000 TA firmware (amdgpu/green_sardine_ta.bin)
  * Ryzen 5000 VCN firmware (amdgpu/green_sardine_vcn.bin)
  * Radeon HD 8500M series and R5 M200 CE microcode
    (amdgpu/hainan_ce.bin)
  * Radeon HD 8500M series and R5 M200 K SMC microcode
    (amdgpu/hainan_k_smc.bin)
  * Radeon HD 8500M series and R5 M200 MC microcode
    (amdgpu/hainan_mc.bin)
  * Radeon HD 8500M series and R5 M200 ME microcode
    (amdgpu/hainan_me.bin)
  * Radeon HD 8500M series and R5 M200 PFP microcode
    (amdgpu/hainan_pfp.bin)
  * Radeon HD 8500M series and R5 M200 RLC microcode
    (amdgpu/hainan_rlc.bin)
  * Radeon HD 8500M series and R5 M200 SMC microcode
    (amdgpu/hainan_smc.bin)
  * Radeon R9 290 series CE microcode (amdgpu/hawaii_ce.bin)
  * Radeon R9 290 series K SMC microcode (amdgpu/hawaii_k_smc.bin)
  * Radeon R9 290 series MC microcode (amdgpu/hawaii_mc.bin)
  * Radeon R9 290 series ME microcode (amdgpu/hawaii_me.bin)
  * Radeon R9 290 series MEC microcode (amdgpu/hawaii_mec.bin)
  * Radeon R9 290 series PFP microcode (amdgpu/hawaii_pfp.bin)
  * Radeon R9 290 series RLC microcode (amdgpu/hawaii_rlc.bin)
  * Radeon R9 290 series SDMA microcode (amdgpu/hawaii_sdma.bin)
  * Radeon R9 290 series SDMA microcode (amdgpu/hawaii_sdma1.bin)
  * Radeon R9 290 series SMC microcode (amdgpu/hawaii_smc.bin)
  * Radeon R9 290 series UVD microcode (amdgpu/hawaii_uvd.bin)
  * Radeon R9 290 series VCE microcode (amdgpu/hawaii_vce.bin)
  * Radeon HD 8100/8200/8300/8400 series CE microcode
    (amdgpu/kabini_ce.bin)
  * Radeon HD 8100/8200/8300/8400 series ME microcode
    (amdgpu/kabini_me.bin)
  * Radeon HD 8100/8200/8300/8400 series MEC microcode
    (amdgpu/kabini_mec.bin)
  * Radeon HD 8100/8200/8300/8400 series PFP microcode
    (amdgpu/kabini_pfp.bin)
  * Radeon HD 8100/8200/8300/8400 series RLC microcode
    (amdgpu/kabini_rlc.bin)
  * Radeon HD 8100/8200/8300/8400 series SDMA microcode
    (amdgpu/kabini_sdma.bin)
  * Radeon HD 8100/8200/8300/8400 series SDMA1 microcode
    (amdgpu/kabini_sdma1.bin)
  * Radeon HD 8100/8200/8300/8400 series UVD microcode
    (amdgpu/kabini_uvd.bin)
  * Radeon HD 8100/8200/8300/8400 series VCE microcode
    (amdgpu/kabini_vce.bin)
  * Radeon R5/R7 IGP 200 series CE microcode (amdgpu/kaveri_ce.bin)
  * Radeon R5/R7 IGP 200 series ME microcode (amdgpu/kaveri_me.bin)
  * Radeon R5/R7 IGP 200 series MEC microcode (amdgpu/kaveri_mec.bin)
  * Radeon R5/R7 IGP 200 series MEC microcode (amdgpu/kaveri_mec2.bin)
  * Radeon R5/R7 IGP 200 series PFP microcode (amdgpu/kaveri_pfp.bin)
  * Radeon R5/R7 IGP 200 series RLC microcode (amdgpu/kaveri_rlc.bin)
  * Radeon R5/R7 IGP 200 series SDMA microcode (amdgpu/kaveri_sdma.bin)
  * Radeon R5/R7 IGP 200 series SDMA1 microcode
    (amdgpu/kaveri_sdma1.bin)
  * Radeon R5/R7 IGP 200 series UVD microcode (amdgpu/kaveri_uvd.bin)
  * Radeon R5/R7 IGP 200 series VCE microcode (amdgpu/kaveri_vce.bin)
  * Radeon "Mullins"/"Beema" IGP CE microcode (amdgpu/mullins_ce.bin)
  * Radeon "Mullins"/"Beema" IGP ME microcode (amdgpu/mullins_me.bin)
  * Radeon "Mullins"/"Beema" IGP MEC microcode (amdgpu/mullins_mec.bin)
  * Radeon "Mullins"/"Beema" IGP PFP microcode (amdgpu/mullins_pfp.bin)
  * Radeon "Mullins"/"Beema" IGP RLC microcode (amdgpu/mullins_rlc.bin)
  * Radeon "Mullins"/"Beema" IGP SDMA microcode
