=== debian/watch ===
version=3
opts="mode=git, gitmode=shallow, pgpmode=gittag, dversionmangle=s/^.*\+really//;s/@DEB_EXT@//, oversionmangle=s/^/20190114+really/" \
https://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git \
refs/tags/(.*) debian
