## firmware-nonfree 20190502

=== debian/changelog ===
firmware-nonfree (20190502-1~mx15+1) mx; urgency=medium

  * Rebuild for MX 15.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 13 May 2019 18:11:18 -0700
