=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: firmware-nonfree
 Section: non-free/kernel
 Priority: optional
-Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
-Uploaders: Bastian Blank <waldi@debian.org>, Steve Langasek <vorlon@debian.org>, maximilian attems <maks@debian.org>, Ben Hutchings <benh@debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
+Uploaders: Bastian Blank <waldi@debian.org>, Steve Langasek <vorlon@debian.org>, maximilian attems <maks@debian.org>, Ben Hutchings <ben@decadent.org.uk>
 Standards-Version: 4.0.1
-Build-Depends: debhelper (>= 12)
+Build-Depends: debhelper (>= 9)
 Vcs-Browser: https://salsa.debian.org/kernel-team/firmware-nonfree
 Vcs-Git: https://salsa.debian.org/kernel-team/firmware-nonfree.git
 XS-Autobuild: yes
@@ -23,7 +24,7 @@
 Section: non-free/metapackages
 Depends: firmware-misc-nonfree (= ${binary:Version}), firmware-amd-graphics (= ${binary:Version}), ${misc:Depends}
 Recommends: intel-microcode, amd64-microcode
-Description: Binary firmware for various drivers in the Linux kernel (metapackage)
+Description: Binary firmware for various drivers in the Linux kernel (meta-package)
  This package depends on non-free firmware which may be used with drivers
  in the Linux kernel.
 
@@ -57,37 +58,7 @@
  supported by the radeon, amdgpu and r128 drivers.
  .
  Contents:
-  * "Aldebaran" MEC firmware (amdgpu/aldebaran_mec.bin)
-  * "Aldebaran" MEC2 firmware (amdgpu/aldebaran_mec2.bin)
-  * "Aldebaran" RLC firmware (amdgpu/aldebaran_rlc.bin)
-  * "Aldebaran" SDMA firmware (amdgpu/aldebaran_sdma.bin)
-  * "Aldebaran" SMC firmware (amdgpu/aldebaran_smc.bin)
-  * "Aldebaran" SOS firmware (amdgpu/aldebaran_sos.bin)
-  * "Aldebaran" TA firmware (amdgpu/aldebaran_ta.bin)
-  * "Aldebaran" VCN firmware (amdgpu/aldebaran_vcn.bin)
-  * "Arcturus" ASDN firmware (amdgpu/arcturus_asd.bin)
-  * "Arcturus" GPU info firmware (amdgpu/arcturus_gpu_info.bin)
-  * "Arcturus" MEC2 firmware (amdgpu/arcturus_mec2.bin)
-  * "Arcturus" MEC firmware (amdgpu/arcturus_mec.bin)
-  * "Arcturus" RLC firmware (amdgpu/arcturus_rlc.bin)
-  * "Arcturus" SDMA firmware (amdgpu/arcturus_sdma.bin)
-  * "Arcturus" SMC firmware (amdgpu/arcturus_smc.bin)
-  * "Arcturus" SOS firmware (amdgpu/arcturus_sos.bin)
-  * "Arcturus" TA firmware (amdgpu/arcturus_ta.bin)
-  * "Arcturus" VCN firmware (amdgpu/arcturus_vcn.bin)
   * "Banks" K-2 SMC microcode (amdgpu/banks_k_2_smc.bin)
-  * "Beige Goby" CE firmware (amdgpu/beige_goby_ce.bin)
-  * "Beige Goby" DMCUB firmware (amdgpu/beige_goby_dmcub.bin)
-  * "Beige Goby" ME firmware (amdgpu/beige_goby_me.bin)
-  * "Beige Goby" MEC firmware (amdgpu/beige_goby_mec.bin)
-  * "Beige Goby" MEC2 firmware (amdgpu/beige_goby_mec2.bin)
-  * "Beige Goby" PFP firmware (amdgpu/beige_goby_pfp.bin)
-  * "Beige Goby" RLC firmware (amdgpu/beige_goby_rlc.bin)
-  * "Beige Goby" SDMA firmware (amdgpu/beige_goby_sdma.bin)
-  * "Beige Goby" SMC firmware (amdgpu/beige_goby_smc.bin)
-  * "Beige Goby" SOS firmware (amdgpu/beige_goby_sos.bin)
-  * "Beige Goby" TA firmware (amdgpu/beige_goby_ta.bin)
-  * "Beige Goby" VCN firmware (amdgpu/beige_goby_vcn.bin)
   * Radeon HD 7790/8770/8950 CE microcode (amdgpu/bonaire_ce.bin)
   * Radeon HD 7790/8770/8950 K SMC microcode (amdgpu/bonaire_k_smc.bin)
   * Radeon HD 7790/8770/8950 MC microcode (amdgpu/bonaire_mc.bin)
@@ -111,29 +82,6 @@
   * "Carrizo" SDMA1 firmware (amdgpu/carrizo_sdma1.bin)
   * "Carrizo" UVD firmware, version 1.87 (amdgpu/carrizo_uvd.bin)
   * "Carrizo" VCE firmware (amdgpu/carrizo_vce.bin)
-  * "Cyan Skillfish2" CE firmware (amdgpu/cyan_skillfish2_ce.bin)
-  * "Cyan Skillfish2" ME firmware (amdgpu/cyan_skillfish2_me.bin)
-  * "Cyan Skillfish2" MEC firmware (amdgpu/cyan_skillfish2_mec.bin)
-  * "Cyan Skillfish2" MEC2 firmware (amdgpu/cyan_skillfish2_mec2.bin)
-  * "Cyan Skillfish2" PFP firmware (amdgpu/cyan_skillfish2_pfp.bin)
-  * "Cyan Skillfish2" RLC firmware (amdgpu/cyan_skillfish2_rlc.bin)
-  * "Cyan Skillfish2" SDMA firmware (amdgpu/cyan_skillfish2_sdma.bin)
-  * "Cyan Skillfish2" SDMA1 firmware (amdgpu/cyan_skillfish2_sdma1.bin)
-  * DCN 3.1.5 DMCUB firmware (amdgpu/dcn_3_1_5_dmcub.bin)
-  * DCN 3.1.6 DMCUB firmware (amdgpu/dcn_3_1_6_dmcub.bin)
-  * "Dimgrey Cavefish" CE firmware (amdgpu/dimgrey_cavefish_ce.bin)
-  * "Dimgrey Cavefish" DMCUB firmware
-    (amdgpu/dimgrey_cavefish_dmcub.bin)
-  * "Dimgrey Cavefish" ME firmware (amdgpu/dimgrey_cavefish_me.bin)
-  * "Dimgrey Cavefish" MEC firmware (amdgpu/dimgrey_cavefish_mec.bin)
-  * "Dimgrey Cavefish" MEC2 firmware (amdgpu/dimgrey_cavefish_mec2.bin)
-  * "Dimgrey Cavefish" PFP firmware (amdgpu/dimgrey_cavefish_pfp.bin)
-  * "Dimgrey Cavefish" RLC firmware (amdgpu/dimgrey_cavefish_rlc.bin)
-  * "Dimgrey Cavefish" SDMA firmware (amdgpu/dimgrey_cavefish_sdma.bin)
-  * "Dimgrey Cavefish" SMC firmware (amdgpu/dimgrey_cavefish_smc.bin)
-  * "Dimgrey Cavefish" SOS firmware (amdgpu/dimgrey_cavefish_sos.bin)
-  * "Dimgrey Cavefish" TA firmware (amdgpu/dimgrey_cavefish_ta.bin)
-  * "Dimgrey Cavefish" VCN firmware (amdgpu/dimgrey_cavefish_vcn.bin)
   * "Fiji" CE firmware (amdgpu/fiji_ce.bin)
   * "Fiji" MC firmware (amdgpu/fiji_mc.bin)
   * "Fiji" ME firmware (amdgpu/fiji_me.bin)
@@ -146,29 +94,6 @@
   * "Fiji" SMC firmware (amdgpu/fiji_smc.bin)
   * "Fiji" UVD firmware, version 1.87.12 (amdgpu/fiji_uvd.bin)
   * "Fiji" VCE firmware (amdgpu/fiji_vce.bin)
-  * GC 10.3.6 CE firmware (amdgpu/gc_10_3_6_ce.bin)
-  * GC 10.3.6 ME firmware (amdgpu/gc_10_3_6_me.bin)
-  * GC 10.3.6 MEC firmware (amdgpu/gc_10_3_6_mec.bin)
-  * GC 10.3.6 MEC2 firmware (amdgpu/gc_10_3_6_mec2.bin)
-  * GC 10.3.6 PFP firmware (amdgpu/gc_10_3_6_pfp.bin)
-  * GC 10.3.6 RLC firmware (amdgpu/gc_10_3_6_rlc.bin)
-  * GC 10.3.7 CE firmware (amdgpu/gc_10_3_7_ce.bin)
-  * GC 10.3.7 ME firmware (amdgpu/gc_10_3_7_me.bin)
-  * GC 10.3.7 MEC firmware (amdgpu/gc_10_3_7_mec.bin)
-  * GC 10.3.7 MEC2 firmware (amdgpu/gc_10_3_7_mec2.bin)
-  * GC 10.3.7 PFP firmware (amdgpu/gc_10_3_7_pfp.bin)
-  * GC 10.3.7 RLC firmware (amdgpu/gc_10_3_7_rlc.bin)
-  * Ryzen 5000 ASD firmware (amdgpu/green_sardine_asd.bin)
-  * Ryzen 5000 CE firmware (amdgpu/green_sardine_ce.bin)
-  * Ryzen 5000 DMCUB firmware (amdgpu/green_sardine_dmcub.bin)
-  * Ryzen 5000 ME firmware (amdgpu/green_sardine_me.bin)
-  * Ryzen 5000 MEC2 firmware (amdgpu/green_sardine_mec2.bin)
-  * Ryzen 5000 MEC firmware (amdgpu/green_sardine_mec.bin)
-  * Ryzen 5000 PFP firmware (amdgpu/green_sardine_pfp.bin)
-  * Ryzen 5000 RLC firmware (amdgpu/green_sardine_rlc.bin)
-  * Ryzen 5000 SDMA firmware (amdgpu/green_sardine_sdma.bin)
-  * Ryzen 5000 TA firmware (amdgpu/green_sardine_ta.bin)
-  * Ryzen 5000 VCN firmware (amdgpu/green_sardine_vcn.bin)
   * Radeon HD 8500M series and R5 M200 CE microcode
     (amdgpu/hainan_ce.bin)
   * Radeon HD 8500M series and R5 M200 K SMC microcode
@@ -230,3 +155,76 @@
   * Radeon "Mullins"/"Beema" IGP PFP microcode (amdgpu/mullins_pfp.bin)
   * Radeon "Mullins"/"Beema" IGP RLC microcode (amdgpu/mullins_rlc.bin)
   * Radeon "Mullins"/"Beema" IGP SDMA microcode
+    (amdgpu/mullins_sdma.bin)
+  * Radeon "Mullins"/"Beema" IGP SDMA1 microcode
+    (amdgpu/mullins_sdma1.bin)
+  * Radeon "Mullins"/"Beema" IGP UVD microcode (amdgpu/mullins_uvd.bin)
+  * Radeon "Mullins"/"Beema" IGP VCE microcode (amdgpu/mullins_vce.bin)
+  * Radeon HD 8500/8600/8700 series CE microcode (amdgpu/oland_ce.bin)
+  * Radeon HD 8500/8600/8700 series K SMC microcode
+    (amdgpu/oland_k_smc.bin)
+  * Radeon HD 8500/8600/8700 series MC microcode (amdgpu/oland_mc.bin)
+  * Radeon HD 8500/8600/8700 series ME microcode (amdgpu/oland_me.bin)
+  * Radeon HD 8500/8600/8700 series PFP microcode (amdgpu/oland_pfp.bin)
+  * Radeon HD 8500/8600/8700 series RLC microcode (amdgpu/oland_rlc.bin)
+  * Radeon HD 8500/8600/8700 series SMC microcode (amdgpu/oland_smc.bin)
+  * "Picasso" ASD firmware (amdgpu/picasso_asd.bin)
+  * "Picasso" CE firmware (amdgpu/picasso_ce.bin)
+  * "Picasso" GPU info (amdgpu/picasso_gpu_info.bin)
+  * "Picasso" ME firmware (amdgpu/picasso_me.bin)
+  * "Picasso" MEC firmware (amdgpu/picasso_mec.bin)
+  * "Picasso" MEC2 firmware (amdgpu/picasso_mec2.bin)
+  * "Picasso" PFP firmware (amdgpu/picasso_pfp.bin)
+  * "Picasso" RLC firmware (amdgpu/picasso_rlc.bin)
+  * "Picasso" RLC AM4 firmware (amdgpu/picasso_rlc_am4.bin)
+  * "Picasso" SDMA firmware (amdgpu/picasso_sdma.bin)
+  * "Picasso" VCN firmware (amdgpu/picasso_vcn.bin)
+  * Radeon HD 7800 series CE microcode (amdgpu/pitcairn_ce.bin)
+  * Radeon HD 7800 series K SMC microcode (amdgpu/pitcairn_k_smc.bin)
+  * Radeon HD 7800 series MC microcode (amdgpu/pitcairn_mc.bin)
+  * Radeon HD 7800 series ME microcode (amdgpu/pitcairn_me.bin)
+  * Radeon HD 7800 series PFP microcode (amdgpu/pitcairn_pfp.bin)
+  * Radeon HD 7800 series RLC microcode (amdgpu/pitcairn_rlc.bin)
+  * Radeon HD 7800 series SMC microcode (amdgpu/pitcairn_smc.bin)
+  * "Polaris 10" old CE firmware (amdgpu/polaris10_ce.bin)
+  * "Polaris 10" new CE firmware (amdgpu/polaris10_ce_2.bin)
+  * "Polaris 10" K2 SMC firmware (amdgpu/polaris10_k2_smc.bin)
+  * "Polaris 10" K MC firmware (amdgpu/polaris10_k_mc.bin)
+  * "Polaris 10" K SMC firmware (amdgpu/polaris10_k_smc.bin)
+  * "Polaris 10" MC firmware (amdgpu/polaris10_mc.bin)
+  * "Polaris 10" old ME firmware (amdgpu/polaris10_me.bin)
+  * "Polaris 10" old MEC firmware (amdgpu/polaris10_mec.bin)
+  * "Polaris 10" old MEC2 firmware (amdgpu/polaris10_mec2.bin)
+  * "Polaris 10" new MEC2 firmware (amdgpu/polaris10_mec2_2.bin)
+  * "Polaris 10" new MEC firmware (amdgpu/polaris10_mec_2.bin)
+  * "Polaris 10" new ME firmware (amdgpu/polaris10_me_2.bin)
+  * "Polaris 10" old PFP firmware (amdgpu/polaris10_pfp.bin)
+  * "Polaris 10" new PFP firmware (amdgpu/polaris10_pfp_2.bin)
+  * "Polaris 10" RLC firmware (amdgpu/polaris10_rlc.bin)
+  * "Polaris 10" SDMA firmware (amdgpu/polaris10_sdma.bin)
+  * "Polaris 10" SDMA1 firmware (amdgpu/polaris10_sdma1.bin)
+  * "Polaris 10" SMC firmware (amdgpu/polaris10_smc.bin)
+  * "Polaris 10" SMC-SK firmware (amdgpu/polaris10_smc_sk.bin)
+  * "Polaris 10" UVD firmware, version 1.130 (amdgpu/polaris10_uvd.bin)
+  * "Polaris 10" VCE firmware, version 53.26 (amdgpu/polaris10_vce.bin)
+  * "Polaris 11" old CE firmware (amdgpu/polaris11_ce.bin)
+  * "Polaris 11" new CE firmware (amdgpu/polaris11_ce_2.bin)
+  * "Polaris 11" K2 SMC firmware (amdgpu/polaris11_k2_smc.bin)
+  * "Polaris 11" K MC firmware (amdgpu/polaris11_k_mc.bin)
+  * "Polaris 11" K SMC firmware (amdgpu/polaris11_k_smc.bin)
+  * "Polaris 11" MC firmware (amdgpu/polaris11_mc.bin)
+  * "Polaris 11" old ME firmware (amdgpu/polaris11_me.bin)
+  * "Polaris 11" old MEC firmware (amdgpu/polaris11_mec.bin)
+  * "Polaris 11" old MEC2 firmware (amdgpu/polaris11_mec2.bin)
+  * "Polaris 11" new MEC2 firmware (amdgpu/polaris11_mec2_2.bin)
+  * "Polaris 11" new MEC firmware (amdgpu/polaris11_mec_2.bin)
+  * "Polaris 11" new ME firmware (amdgpu/polaris11_me_2.bin)
+  * "Polaris 11" old PFP firmware (amdgpu/polaris11_pfp.bin)
+  * "Polaris 11" new PFP firmware (amdgpu/polaris11_pfp_2.bin)
+  * "Polaris 11" RLC firmware (amdgpu/polaris11_rlc.bin)
+  * "Polaris 11" SDMA firmware (amdgpu/polaris11_sdma.bin)
+  * "Polaris 11" SDMA1 firmware (amdgpu/polaris11_sdma1.bin)
+  * "Polaris 11" SMC firmware (amdgpu/polaris11_smc.bin)
+  * "Polaris 11" SMC-SK firmware (amdgpu/polaris11_smc_sk.bin)
+  * "Polaris 11" UVD firmware, version 1.130 (amdgpu/polaris11_uvd.bin)
+  * "Polaris 11" VCE firmware, version 53.26 (amdgpu/polaris11_vce.bin)
