## firmware-nonfree 20190717

=== debian/changelog ===
firmware-nonfree (20190717-2~mx15+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 08 Apr 2020 18:44:22 -0700
