## firmware-nonfree 20200421

=== debian/changelog ===
firmware-nonfree (20200421-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 19 Jul 2020 11:07:44 -0700
