=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: non-free/kernel
 Priority: optional
 Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
 Uploaders: Bastian Blank <waldi@debian.org>, Steve Langasek <vorlon@debian.org>, maximilian attems <maks@debian.org>, Ben Hutchings <ben@decadent.org.uk>
 Standards-Version: 4.0.1
 Build-Depends: debhelper (>= 9)
 Vcs-Browser: https://salsa.debian.org/kernel-team/firmware-nonfree
 Vcs-Git: https://salsa.debian.org/kernel-team/firmware-nonfree.git
 XS-Autobuild: yes
+XSBC-Original-Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
 
 Package: firmware-linux
 Architecture: all
@@ -28,19 +28,11 @@
  This package depends on non-free firmware which may be used with drivers
  in the Linux kernel.
 
-Package: firmware-adi
+Package: firmware-qcom-media
 Architecture: all
 Section: non-free/oldlibs
-Depends: firmware-misc-nonfree, ${misc:Depends}
-Description: Binary firmware for Analog Devices Inc. DSL modem chips (dummmy package)
- This is a dummy transitional package.  It can be safely removed.
-Multi-Arch: foreign
-
-Package: firmware-ralink
-Architecture: all
-Section: non-free/oldlibs
-Depends: firmware-misc-nonfree, ${misc:Depends}
-Description: Binary firmware for Ralink wireless cards (dummmy package)
+Depends: firmware-qcom-soc, ${misc:Depends}
+Description: Binary firmware for Qualcomm graphics/video (dummy package)
  This is a dummy transitional package.  It can be safely removed.
 Multi-Arch: foreign
 
@@ -160,6 +152,39 @@
     (amdgpu/mullins_sdma1.bin)
   * Radeon "Mullins"/"Beema" IGP UVD microcode (amdgpu/mullins_uvd.bin)
   * Radeon "Mullins"/"Beema" IGP VCE microcode (amdgpu/mullins_vce.bin)
+  * "Navi 10" ASD firmware (amdgpu/navi10_asd.bin)
+  * "Navi 10" CE firmware (amdgpu/navi10_ce.bin)
+  * "Navi 10" GPU info (amdgpu/navi10_gpu_info.bin)
+  * "Navi 10" ME firmware (amdgpu/navi10_me.bin)
+  * "Navi 10" MEC firmware (amdgpu/navi10_mec.bin)
+  * "Navi 10" MEC2 firmware (amdgpu/navi10_mec2.bin)
+  * "Navi 10" PFP firmware (amdgpu/navi10_pfp.bin)
+  * "Navi 10" RLC firmware (amdgpu/navi10_rlc.bin)
+  * "Navi 10" SDMA firmware (amdgpu/navi10_sdma.bin)
+  * "Navi 10" SDMA1 firmware (amdgpu/navi10_sdma1.bin)
+  * "Navi 10" SMC firmware (amdgpu/navi10_smc.bin)
+  * "Navi 10" SOS firmware (amdgpu/navi10_sos.bin)
+  * "Navi 10" TA firmware (amdgpu/navi10_ta.bin)
+  * "Navi 10" VCN firmware (amdgpu/navi10_vcn.bin)
+  * "Navi 14" ASD firmware (amdgpu/navi14_asd.bin)
+  * "Navi 14" CE firmware (amdgpu/navi14_ce.bin)
+  * "Navi 14 wks" CE firmware (amdgpu/navi14_ce_wks.bin)
+  * "Navi 14" GPU info (amdgpu/navi14_gpu_info.bin)
+  * "Navi 14" ME firmware (amdgpu/navi14_me.bin)
+  * "Navi 14 wks" ME firmware (amdgpu/navi14_me_wks.bin)
+  * "Navi 14" MEC firmware (amdgpu/navi14_mec.bin)
+  * "Navi 14" MEC2 firmware (amdgpu/navi14_mec2.bin)
+  * "Navi 14 wks" MEC2 firmware (amdgpu/navi14_mec2_wks.bin)
+  * "Navi 14 wks" MEC firmware (amdgpu/navi14_mec_wks.bin)
+  * "Navi 14" PFP firmware (amdgpu/navi14_pfp.bin)
+  * "Navi 14 wks" PFP firmware (amdgpu/navi14_pfp_wks.bin)
+  * "Navi 14" RLC firmware (amdgpu/navi14_rlc.bin)
+  * "Navi 14" SDMA firmware (amdgpu/navi14_sdma.bin)
+  * "Navi 14" SDMA1 firmware (amdgpu/navi14_sdma1.bin)
+  * "Navi 14" SMC firmware (amdgpu/navi14_smc.bin)
+  * "Navi 14" SOS firmware (amdgpu/navi14_sos.bin)
+  * "Navi 14" TA firmware (amdgpu/navi14_ta.bin)
+  * "Navi 14" VCN firmware (amdgpu/navi14_vcn.bin)
   * Radeon HD 8500/8600/8700 series CE microcode (amdgpu/oland_ce.bin)
   * Radeon HD 8500/8600/8700 series K SMC microcode
     (amdgpu/oland_k_smc.bin)
@@ -178,6 +203,7 @@
   * "Picasso" RLC firmware (amdgpu/picasso_rlc.bin)
   * "Picasso" RLC AM4 firmware (amdgpu/picasso_rlc_am4.bin)
   * "Picasso" SDMA firmware (amdgpu/picasso_sdma.bin)
+  * "Picasso" TA firmware (amdgpu/picasso_ta.bin)
   * "Picasso" VCN firmware (amdgpu/picasso_vcn.bin)
   * Radeon HD 7800 series CE microcode (amdgpu/pitcairn_ce.bin)
   * Radeon HD 7800 series K SMC microcode (amdgpu/pitcairn_k_smc.bin)
@@ -204,27 +230,3 @@
   * "Polaris 10" SDMA firmware (amdgpu/polaris10_sdma.bin)
   * "Polaris 10" SDMA1 firmware (amdgpu/polaris10_sdma1.bin)
   * "Polaris 10" SMC firmware (amdgpu/polaris10_smc.bin)
-  * "Polaris 10" SMC-SK firmware (amdgpu/polaris10_smc_sk.bin)
-  * "Polaris 10" UVD firmware, version 1.130 (amdgpu/polaris10_uvd.bin)
-  * "Polaris 10" VCE firmware, version 53.26 (amdgpu/polaris10_vce.bin)
-  * "Polaris 11" old CE firmware (amdgpu/polaris11_ce.bin)
-  * "Polaris 11" new CE firmware (amdgpu/polaris11_ce_2.bin)
-  * "Polaris 11" K2 SMC firmware (amdgpu/polaris11_k2_smc.bin)
-  * "Polaris 11" K MC firmware (amdgpu/polaris11_k_mc.bin)
-  * "Polaris 11" K SMC firmware (amdgpu/polaris11_k_smc.bin)
-  * "Polaris 11" MC firmware (amdgpu/polaris11_mc.bin)
-  * "Polaris 11" old ME firmware (amdgpu/polaris11_me.bin)
-  * "Polaris 11" old MEC firmware (amdgpu/polaris11_mec.bin)
-  * "Polaris 11" old MEC2 firmware (amdgpu/polaris11_mec2.bin)
-  * "Polaris 11" new MEC2 firmware (amdgpu/polaris11_mec2_2.bin)
-  * "Polaris 11" new MEC firmware (amdgpu/polaris11_mec_2.bin)
-  * "Polaris 11" new ME firmware (amdgpu/polaris11_me_2.bin)
-  * "Polaris 11" old PFP firmware (amdgpu/polaris11_pfp.bin)
-  * "Polaris 11" new PFP firmware (amdgpu/polaris11_pfp_2.bin)
-  * "Polaris 11" RLC firmware (amdgpu/polaris11_rlc.bin)
-  * "Polaris 11" SDMA firmware (amdgpu/polaris11_sdma.bin)
-  * "Polaris 11" SDMA1 firmware (amdgpu/polaris11_sdma1.bin)
-  * "Polaris 11" SMC firmware (amdgpu/polaris11_smc.bin)
-  * "Polaris 11" SMC-SK firmware (amdgpu/polaris11_smc_sk.bin)
-  * "Polaris 11" UVD firmware, version 1.130 (amdgpu/polaris11_uvd.bin)
-  * "Polaris 11" VCE firmware, version 53.26 (amdgpu/polaris11_vce.bin)
