=== debian/changelog ===
firmware-nonfree (20200619-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 26 Jul 2020 15:01:09 -0700
