=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: firmware-nonfree
 Section: non-free/kernel
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
+Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
 Uploaders: Bastian Blank <waldi@debian.org>, Steve Langasek <vorlon@debian.org>, maximilian attems <maks@debian.org>, Ben Hutchings <ben@decadent.org.uk>
 Standards-Version: 4.0.1
 Build-Depends: debhelper (>= 9)
 Vcs-Browser: https://salsa.debian.org/kernel-team/firmware-nonfree
 Vcs-Git: https://salsa.debian.org/kernel-team/firmware-nonfree.git
 XS-Autobuild: yes
-XSBC-Original-Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
 
 Package: firmware-linux
 Architecture: all
@@ -230,3 +229,4 @@
   * "Polaris 10" SDMA firmware (amdgpu/polaris10_sdma.bin)
   * "Polaris 10" SDMA1 firmware (amdgpu/polaris10_sdma1.bin)
   * "Polaris 10" SMC firmware (amdgpu/polaris10_smc.bin)
+  * "Polaris 10" SMC-SK firmware (amdgpu/polaris10_smc_sk.bin)
