=== debian/rules ===
--- 
+++ 
@@ -28,7 +28,7 @@
 binary:	binary-indep binary-arch
 
 CONTROL_FILES = debian/build/version-info $(wildcard debian/templates/*.in)
-CONTROL_FILES += debian/bin/gencontrol.py debian/config/defines $(wildcard debian/config/*/defines) debian/modinfo.json
+CONTROL_FILES += debian/bin/gencontrol.py debian/config/defines $(wildcard debian/config/*/defines) $(wildcard debian/config/*/copyright) $(wildcard debian/config/*/LICENSE*)
 
 # debian/bin/gencontrol.py uses debian/changelog as input, but the
 # output only depends on the source name and version.  To avoid
@@ -73,20 +73,17 @@
 	$(error Cannot find orig tarball $(TAR_ORIG_NAME))
 else
 	mkdir -p ../orig
-	tar -C ../orig -xaf $(TAR_ORIG) --strip-components=1 --one-top-level=$(notdir $(DIR_ORIG))
+	tar -C ../orig -xaf $(TAR_ORIG)
 endif
 
 maintainerclean:
 	-rm debian/control debian/control.md5sum debian/rules.gen
 	rm -f debian/*.bug-presubj
+	-rm debian/*.copyright
 	-rm debian/*.hook.*
 	rm -f debian/*.metainfo.xml
 	-rm debian/*.preinst
 	-rm debian/*.postinst
 	-rm debian/*.templates
 
-linux-support-name:
-	@echo linux-support-$(KERNELVERSION)
-
-.PHONY: clean build-indep build-arch build binary-indep binary-arch binary \
-	linux-support-name
+.PHONY: clean build-indep build-arch build binary-indep binary-arch binary
