## firmware-nonfree 20200721

=== debian/changelog ===
firmware-nonfree (20200721-1~mx17+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 31 Aug 2020 17:25:06 -0700
