=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: firmware-nonfree
 Section: non-free/kernel
 Priority: optional
-Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
 Uploaders: Bastian Blank <waldi@debian.org>, Steve Langasek <vorlon@debian.org>, maximilian attems <maks@debian.org>, Ben Hutchings <ben@decadent.org.uk>
 Standards-Version: 4.0.1
 Build-Depends: debhelper (>= 9)
 Vcs-Browser: https://salsa.debian.org/kernel-team/firmware-nonfree
 Vcs-Git: https://salsa.debian.org/kernel-team/firmware-nonfree.git
 XS-Autobuild: yes
+XSBC-Original-Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
 
 Package: firmware-linux
 Architecture: all
@@ -192,6 +193,7 @@
   * Radeon HD 8500/8600/8700 series PFP microcode (amdgpu/oland_pfp.bin)
   * Radeon HD 8500/8600/8700 series RLC microcode (amdgpu/oland_rlc.bin)
   * Radeon HD 8500/8600/8700 series SMC microcode (amdgpu/oland_smc.bin)
+  * Radeon HD 8500/8600/8700 series UVD microcode (amdgpu/oland_uvd.bin)
   * "Picasso" ASD firmware (amdgpu/picasso_asd.bin)
   * "Picasso" CE firmware (amdgpu/picasso_ce.bin)
   * "Picasso" GPU info (amdgpu/picasso_gpu_info.bin)
@@ -211,6 +213,7 @@
   * Radeon HD 7800 series PFP microcode (amdgpu/pitcairn_pfp.bin)
   * Radeon HD 7800 series RLC microcode (amdgpu/pitcairn_rlc.bin)
   * Radeon HD 7800 series SMC microcode (amdgpu/pitcairn_smc.bin)
+  * Radeon HD 7800 series UVD microcode (amdgpu/pitcairn_uvd.bin)
   * "Polaris 10" old CE firmware (amdgpu/polaris10_ce.bin)
   * "Polaris 10" new CE firmware (amdgpu/polaris10_ce_2.bin)
   * "Polaris 10" K2 SMC firmware (amdgpu/polaris10_k2_smc.bin)
@@ -227,6 +230,3 @@
   * "Polaris 10" new PFP firmware (amdgpu/polaris10_pfp_2.bin)
   * "Polaris 10" RLC firmware (amdgpu/polaris10_rlc.bin)
   * "Polaris 10" SDMA firmware (amdgpu/polaris10_sdma.bin)
-  * "Polaris 10" SDMA1 firmware (amdgpu/polaris10_sdma1.bin)
-  * "Polaris 10" SMC firmware (amdgpu/polaris10_smc.bin)
-  * "Polaris 10" SMC-SK firmware (amdgpu/polaris10_smc_sk.bin)
