## firmware-nonfree 20200817

=== debian/changelog ===
firmware-nonfree (20200817-1.0antix1) unstable; urgency=medium

  * antiX buster build 

 -- anticapitalista <antix@operamail.com>  Fri, 18 Sep 2020 15:12:15 +0300
